List Instagram user posts
Returns recent posts from a public Instagram profile, identified by username_or_id. count sets the page size. Pass max_id from the previous response's next_max_id for the next page.
2 credits / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
username_or_id*string
Username without the @, or numeric user ID, of a public account. The numeric ID is the pk or id field of a profile object.
Length
1 <= lengthcount?integer
Number of items per page, 1 to 12.
Range
1 <= value <= 12Default
12max_id?string
Pass the previous response's next_max_id value.
curl -X GET "https://example.com/v2/instagram/user/posts?username_or_id=nasa" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "items": [ { "property1": null, "property2": null } ], "more_available": true, "next_max_id": "string", "num_results": 0, "property1": null, "property2": null }}